package com.hongyegroup.cpt_ewallet.router

import android.content.Context
import androidx.fragment.app.Fragment
import com.alibaba.android.arouter.facade.annotation.Route
import com.guadou.cs_router.ARouterPath
import com.guadou.cs_router.ewallet.IEWalletComponentServer
import com.guadou.lib_baselib.utils.log.YYLogUtils
import com.hongyegroup.cpt_ewallet.ui.EWalletMainFragment

@Route(path = ARouterPath.PATH_SERVICE_WALLET, name = "EWallet模块路由服务")
class EWalletComponentServiceImpl : IEWalletComponentServer {

    override fun startWithdrawalPage() {
        YYLogUtils.w("EWalletComponentServiceImpl-startWithdrawalPage")
    }

    override fun obtainEWalletMainFragment(): Fragment {
        return EWalletMainFragment()
    }

    override fun init(context: Context?) {
    }


}